Kerbal Space Program - Bug #9360

LVL 1 aircraft gear explode, over-stressed at 10% loading
04/21/2016 12:23 AM - dwilliam16

Status: Needs Clarification Start date: 04/21/2016
Severity: Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Description

Attached file for aircraft. Load into career with shown tech tree unlocked. Launch aircraft (yes, it's lightly tail heavy), SAS on, throttle
up and try to take off. The level 1 dirt runway kills the craft with LY-05 over stressed, but monitoring the gear on take off it never went
over 10-11%. Reload and taxi down to the grass, and at a whopping 8 m/s, the nose gear explodes on a bounce. Try again, get up
to about 60 m/s and again a slight bounce kills the gear. Affects the LY-01 fixed gear as well. Heck, | just let the thing load and the
gear destroyed it self after settling from physics load.

Only visual mods and KER installed.

Same results with no mods.

History

#1 - 04/22/2016 01:59 AM - Kardea
- File Palomino Gull.craft added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| was able to replicate this exact issue. Same symptoms, same results.

#2 - 04/22/2016 03:02 AM - Kardea
- File Palomino Gull.craft added

Update: | tried an alteration to the craft | posted earlier. This one dropped the straight-leg LY-01 fixed rear gear for a tail-dragger tripod design, all with
the bugged LY-05s. It took off fine (with an upgraded Level 2 runway...)! Plane flew like a dream, right up until it was time to land. The millisecond the
LY-05s touched the ground (at 35 m/s, no less!), all three exploded, complete with "Landing Gear overstressed" message. Something is definitely
bugged with the LY-05's stress tolerance and/or clipping.

#3 - 04/22/2016 07:32 AM - Kirk
I've not yet been able to construct a working airplane with the level 1 gears in career mode.
And the level 1 runway is just... counter-intuitive. There's a strip of grass next to it that is better for takeoff.

#4 - 04/22/2016 08:20 AM - Kirk

Same here, can't land. Came in at 20 m/s, (make-shift) airbrakes deployed. Touched down with the back wheels first, but as soon as the front wheels
touched the ground the whole craft went up in flames.

#5 - 04/22/2016 08:50 AM - Kirk
- File 20160422104722_1.jpg added

I've finally been able to land, by deploying all my ailerons as flaps, slowing down to 20 m/s, and landing with the back wheels first at a 30-40 degree
angle. The resulting braking action slowed it down just enough to make the front wheel only heftily bounce instead of explode.

| attached a screenshot of the used craft. Note the weird wings to get the center of mass only ever so slightly in front of the center of lift. Otherwise it
probably won't take off (actually, it took off by luck). | assume better designs are possible, but | was limited by the 30 (level 1) aircraft parts maximum.
| did upgrade the runway to level 2. | got tired of taxiing away from it.

#6 - 04/22/2016 08:52 AM - Kirk

- File Science Plane.craft added

Oh right, the craft file.

#7 - 04/22/2016 01:14 PM - Kardea

Tried again in multiple configurations. Nothing works, and nothing survives landing. Also, | noticed that the LY-05's have no brake functionality at all.
The brake button does nothing at all (not even stopping it from rolling on the pad when it's loaded into the runway) and there's no brake tweakable. To
be honest, | can't 100% remember if the LY-05 ever had a brake on it, but | coulda' sworn it did...

#8 - 04/23/2016 05:25 AM - Kirk

When | launched a very small aircraft off the level 2 runway, | noticed the front (steerable) wheel had a habit of popping in and out of the runway with
the tire bit. Also, the landing gear exploded when | attempted to ascend. | got into the air, but was no longer carrying landing gears :P

#9 - 04/23/2016 07:14 PM - dwilliam16

Until they can get a fix in place, | just edited the craft files to increase the stress tolerance and impact tolerance. Increase by alot they and much more
reliable, took a proper bounce before breaking this time.

If you want to try it, the files are in Squad\Parts\Wheel\Landing Gear\ and are the "GearFixed.cfg" and "GearFree.cfg" and the lines to change are:

//stressTolerance = 2000 Original Value
stressTolerance = 12000 //My changes
//impactTolerance = 1000
impactTolerance = 12000

Is it overkill? Sure, but the sweet spot is probably somewhere in between the original and what | set it too. | didn't have enough time to play around
with it (kids) and I've unlocked the next gear so it's not as important. If someone has the time to systematically back the values down to a more
sensible range, go for it.

For comparison, the "GearSmall.cfg" for the next tech level has the values set to:

stressTolerance = 5600
impactTolerance = 2000

Hope that helps.
#10 - 07/17/2016 09:46 AM - TriggerAu

- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files

quicksave01.sfs 44.2 KB 04/21/2016 dwilliam16
Aero 1.craft 62 KB 04/21/2016 dwilliam16
Palomino Gull.craft 53.3 KB 04/22/2016 Kardea
Palomino Gull.craft 53.1 KB 04/22/2016 Kardea
20160422104722_1.jpg 228 KB 04/22/2016 Kirk
Science Plane.craft 80.9 KB 04/22/2016 Kirk
